Draft PointArray/fr: Difference between revisions

From FreeCAD Documentation
(Created page with "==Utilisation==")
(Created page with "# Créez un objet de forme que vous souhaitez distribuer. Vous obtiendrez les meilleurs résultats si votre objet est '''centré sur l'origine''', c'est-à-dire si sa {{Proper...")
Line 17: Line 17:
==Utilisation==
==Utilisation==


# Create a shape object you wish to distribute. You will get the best results if your object is '''centred around the origin''', that is, if its {{PropertyData|position}} is [0, 0, 0].
# Créez un objet de forme que vous souhaitez distribuer. Vous obtiendrez les meilleurs résultats si votre objet est '''centré sur l'origine''', c'est-à-dire si sa {{PropertyData | position}} est [0, 0, 0].
# Place points using [[Draft Point]].
# Placez les points en utilisant [[Draft Point]].
# Select the points and create a compound of them using [[Draft Upgrade]].
# Sélectionnez les points et créez-en un composé à l'aide de [[Draft Upgrade]].
# First select your shape, then the new point compound, and then press the {{KEY|[[Image:Draft_PointArray.svg|16px]] [[Draft PointArray]]}} button.
# Sélectionnez d'abord votre forme, puis le nouveau point composé, puis appuyez sur le bouton {{KEY | [[Image: Draft_PointArray.svg | 16px]] [[Draft PointArray]]}}.


==Options==
==Options==

Revision as of 14:10, 14 November 2018

Draft PointArray

Menu location
Draft → PointArray
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
0.18
See also
Draft Array, Draft PathArray

Description

L'outil PointArray place des copies d'une forme sélectionnée le long de divers points sélectionnés.

Utilisation

  1. Créez un objet de forme que vous souhaitez distribuer. Vous obtiendrez les meilleurs résultats si votre objet est centré sur l'origine, c'est-à-dire si sa Données position est [0, 0, 0].
  2. Placez les points en utilisant Draft Point.
  3. Sélectionnez les points et créez-en un composé à l'aide de Draft Upgrade.
  4. Sélectionnez d'abord votre forme, puis le nouveau point composé, puis appuyez sur le bouton Draft PointArray.

Options

  • The array starts with shape copies which are not aligned to the path, nor translated to a new position by default. You can then change the alignment and/or translation vector in the properties.

Properties

  • DonnéesBase: The shape object
  • DonnéesCount: The number of times to copy the shape (read only)
  • DonnéesPointList: a compound of points

Scripting

The PointArray tool can be used in macros and from the Python console by using the following function:

makePointArray(base, ptlst)
  • base is the shape to copy, and ptlst is an object with Geometry, Links, or Components that define the position of the copies.

Example:

import FreeCAD, Draft

poly = Draft.makePolygon(3, radius=500.0)
p1 = Draft.makePoint(FreeCAD.Vector(1500, 0, 0))
p2 = Draft.makePoint(FreeCAD.Vector(2500, 0, 0))
p3 = Draft.makePoint(FreeCAD.Vector(2000, 1000, 0))

upg = Draft.upgrade([p1, p2, p3], delete=True)
compound = upg[0][0]  # Extract the compound from the list

array = Draft.makePointArray(poly, compound)

Usage Notes

  • in progress